# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94"
name = "nodedb-types"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Portable type definitions shared between NodeDB Origin and NodeDB-Lite"
homepage = "https://nodedb.dev"
documentation = "https://docs.rs/nodedb-types"
readme = "README.md"
keywords = [
    "types",
    "ids",
    "errors",
    "shared",
    "nodedb",
]
categories = [
    "data-structures",
    "no-std",
]
license = "Apache-2.0"
repository = "https://github.com/NodeDB-Lab/nodedb"
resolver = "2"

[lib]
name = "nodedb_types"
path = "src/lib.rs"

[[test]]
name = "wire_enum_lock"
path = "tests/wire_enum_lock.rs"

[dependencies.aes-gcm]
version = "0.10"

[dependencies.bytemuck]
version = "1"
features = ["derive"]

[dependencies.crc32c]
version = "0.6"

[dependencies.getrandom]
version = "0.3"
features = ["std"]

[dependencies.nanoid]
version = "0.4"

[dependencies.nodedb-codec]
version = "0.1"

[dependencies.rand]
version = "0.9"

[dependencies.rkyv]
version = "0.8"
features = ["alloc"]

[dependencies.roaring]
version = "0.11"

[dependencies.rust_decimal]
version = "1"
features = ["serde-with-str"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10"
features = ["oid"]

[dependencies.sonic-rs]
version = "0.5"

[dependencies.thiserror]
version = "2.0"

[dependencies.tracing]
version = "0.1"

[dependencies.ulid]
version = "1"

[dependencies.uuid]
version = "1"
features = [
    "v4",
    "v7",
    "serde",
    "js",
]

[dependencies.zerompk]
version = "0.4"
features = [
    "std",
    "derive",
]

[dev-dependencies.toml]
version = "0.8"
